REM   Collate scanned pages:

   java -jar jpdfkit.jar A=sample_even.pdf B=sample_odd.pdf shuffle A B output _collated1.pdf

REM   or if odd.pdf is in reverse order:

   java -jar jpdfkit.jar A=sample_even.pdf B=sample_odd.pdf shuffle A Bend-1 output _collated2.pdf

REM   Decrypt a PDF:

   java -jar jpdfkit.jar sample_secured.pdf input_pw 456 output _unsecured.pdf

REM   Encrypt a PDF using 128-bit strength:

   java -jar jpdfkit.jar sample_verypdf.pdf output _encrypted.128.pdf owner_pw 123

REM   Set both owner password and open password to a PDF file:

   java -jar jpdfkit.jar sample_verypdf.pdf output _encrypted_both.pdf owner_pw 456 user_pw 123

REM   Enable High Quality Printing when encrypt a PDF file:

   java -jar jpdfkit.jar sample_verypdf.pdf output _encrypted_highprinting.pdf owner_pw 456 user_pw 123 allow printing

REM  Merge PDF files into a new PDF.

   java -jar jpdfkit.jar sample_even.pdf sample_odd.pdf cat output _merge_out1.pdf
   java -jar jpdfkit.jar A=sample_even.pdf B=sample_odd.pdf cat A B output _merge_out2.pdf
   
REM   or (using wildcards):

   java -jar jpdfkit.jar sample_in*.pdf cat output _combined_all.pdf

REM   Remove some page from an input PDF file. The example shows how to remove P13 from the input file.

   java -jar jpdfkit.jar sample_testcmd.pdf cat 1-12 14-end output _remove_pages_1.pdf
   
REM   or:

   java -jar jpdfkit.jar A=sample_testcmd.pdf cat A1-12 A14-end output _remove_pages_2.pdf

REM   Merge PDF files and add a password for the output file.

   java -jar jpdfkit.jar sample_even.pdf sample_odd.pdf cat output _merge_out.pdf encrypt_40bit owner_pw 123

REM   Merge PDF files and if one of them requires password,input it.

   java -jar jpdfkit.jar A=sample_secured.pdf sample_verypdf.pdf input_pw A=123 cat output _merge_out.pdf

REM   Unpack PDF page streams for editing PDF in a text editor.

   java -jar jpdfkit.jar sample_verypdf.pdf output _unpack_verypdf.pdf uncompress

REM   Repair PDF's corrupted XREF table and stream lengths.

   java -jar jpdfkit.jar sample_verypdf.pdf output _verypdf_fixed.pdf

REM   Split a multip-page PDF file into single-page PDF files.
REM   java -jar jpdfkit.jar testcmd.pdf burst

   java -jar jpdfkit.jar sample_testcmd.pdf burst output _pg_%%04d.pdf

REM   Blast a multip-page PDF file into several encrypted single-page PDF files, denying  low-quality printing.

   java -jar jpdfkit.jar sample_secured.pdf input_pw 123 burst owner_pw 123 allow degradedprinting

REM   Extract meta info from input PDF file to the given output file.

   java -jar jpdfkit.jar sample_verypdf.pdf dump_data output _report.txt

REM   Rotate the first PDF page clockwise.

   java -jar jpdfkit.jar sample_verypdf.pdf cat 1east 2-end output _rotate_out1.pdf

REM   Rotate an entire PDF document to 180 degrees

   java -jar jpdfkit.jar sample_verypdf.pdf cat 1-endsouth output _rotate_out2.pdf

REM   Add information from text file to output PDF file.

   java -jar jpdfkit.jar sample_verypdf.pdf update_info _report.txt output _newinfo.pdf

pause
